<?php

require_once(dirname(__FILE__).'/init.php');



/* CSS */

$css_files[_THEME_CSS_DIR_.'global.css'] = 'all';



/* Hooks are volontary out the initialize array (need those variables already assigned) */

$smarty->assign(array(

	'HOOK_HEADER' => Module::hookExec('header'),

	'HOOK_LEFT_COLUMN' => Module::hookExec('leftColumn'),

	'HOOK_TOP' => Module::hookExec('top'),

	'static_token' => Tools::getToken(false),

	'token' => Tools::getToken()

));



if(isset($css_files) AND !empty($css_files)) $smarty->assign('css_files', $css_files);

if(isset($js_files) AND !empty($js_files)) $smarty->assign('js_files', $js_files);



/* Display a maintenance page if shop is closed */

if (isset($maintenance))

{

	header('HTTP/1.1 503 temporarily overloaded');

	$smarty->display(_PS_THEME_DIR_.'maintenance.tpl');

	exit;

}



$smarty->display(_PS_THEME_DIR_.'header.tpl');



?>

